/*----------------------------------------------*\
    BLOCKS - Shared Styles
	======================

	@package yaybrigade

\*----------------------------------------------*/
/*----------------------------------------------*\
    COMPONENTS
	==========

	@package ccr

\*----------------------------------------------*/
/*
 *
 * / Variables
------------------------------------------------*/
/* Colors */
/* Breakpoints */
/* 368px, bigger phones */
/* 560px */
/* 800px */
/* 1008px, tablet vertical */
/* 1200px */
/* Max Widths */
/* 1040px */
/* 672px */
/* Fonts */
/*
 *
 * / Mixins
------------------------------------------------*/
/*
 *
 * 1./ Global block settings
------------------------------------------------*/
.block:first-child.exhibition-meta,
.block:first-child.featured-text,
.block:first-child.body-text {
  /* Larger margin on top of page for certain blocks */
  margin-top: 2em; }
  @media screen and (min-width: 35rem) {
    .block:first-child.exhibition-meta,
    .block:first-child.featured-text,
    .block:first-child.body-text {
      margin-top: 3em; } }
  @media screen and (min-width: 50rem) {
    .block:first-child.exhibition-meta,
    .block:first-child.featured-text,
    .block:first-child.body-text {
      margin-top: 4em; } }

.wp-block-column {
  /* But not inside of columns */ }
  .wp-block-column .block:first-child.exhibition-meta,
  .wp-block-column .block:first-child.featured-text,
  .wp-block-column .block:first-child.body-text {
    margin-top: 0; }

/*
 *
 * 2./ WP Core Block: Columns
------------------------------------------------*/
/* Flex stuff */
.wp-block-columns {
  margin-top: 2em;
  margin-bottom: 2em; }
  @media screen and (min-width: 35rem) {
    .wp-block-columns.has-2-columns {
      display: -ms-flexbox;
      display: flex; } }
  @media screen and (min-width: 50rem) {
    .wp-block-columns.has-3-columns {
      display: -ms-flexbox;
      display: flex; } }

/* Columns cells */
.wp-block-column {
  margin-bottom: 1em; }
  @media screen and (min-width: 35rem) {
    .has-2-columns .wp-block-column {
      -ms-flex: 1 1 0px;
          flex: 1 1 0;
      margin-bottom: 0;
      border-right: 1px solid #adafb3;
      padding: 0 1.5em; }
      .has-2-columns .wp-block-column:last-child {
        border: 0; } }
  @media screen and (min-width: 50rem) {
    .has-3-columns .wp-block-column {
      -ms-flex: 1 1 0px;
          flex: 1 1 0;
      margin-bottom: 0;
      border-right: 1px solid #adafb3;
      padding: 0 1.5em; }
      .has-3-columns .wp-block-column:last-child {
        border: 0; } }

/* Columns with uneven widths */
@media screen and (min-width: 35rem) {
  .columns-2-1 .wp-block-column:nth-child(1) {
    width: 66.666%;
    -ms-flex: auto;
        flex: auto; }
  .columns-2-1 .wp-block-column:nth-child(2) {
    width: 33.333%;
    -ms-flex: auto;
        flex: auto; } }

@media screen and (min-width: 35rem) {
  .columns-1-2 .wp-block-column:nth-child(1) {
    width: 33.333%;
    -ms-flex: auto;
        flex: auto; }
  .columns-1-2 .wp-block-column:nth-child(2) {
    width: 66.666%;
    -ms-flex: auto;
        flex: auto; } }

/* Other custom column settings */
.columns-no-border .wp-block-column {
  border: none !important; }

@media screen and (min-width: 35rem) {
  .columns-small-padding.has-2-columns .wp-block-column {
    padding-left: .25em;
    padding-right: .25em; } }
@media screen and (min-width: 50rem) {
  .columns-small-padding.has-3-columns .wp-block-column {
    padding-left: .25em;
    padding-right: .25em; } }

.column-no-padding {
  padding: 0 !important; }

.column-no-left-padding {
  padding-left: 0 !important; }

.column-no-right-padding {
  padding-right: 0 !important; }

/* Affecting other blocks inside columns*/
.wp-block-columns .block {
  /* Text in blocks inside columns needs to be smaller */
  /* max width for paragraphs is for small screens */ }
  .wp-block-columns .block.responsive-scale > * {
    /* target the child of '.responsive-scale' */
    font-size: .9em; }
  .wp-block-columns .block p {
    max-width: 30em;
    margin: 0 auto; }
.wp-block-columns .the-button .the-button__wrapper {
  margin: .75em 0; }
  .wp-block-columns .the-button .the-button__wrapper a {
    width: 100%;
    max-width: 20em; }
.wp-block-columns .the-button:last-child .the-button__wrapper {
  margin-bottom: 0; }
.wp-block-columns .image:last-child {
  margin-bottom: 0; }
.wp-block-columns .image__image {
  max-width: 12em;
  margin: 0 auto; }
